运维管理/监控相关接口/通知服务相关接口
PUTNotification Service APIs起始版本 2.3同步需要认证
更改SNS应用终端状态
更改SNS应用终端状态
调试可用性
在线调试
使用当前认证信息和示例参数提交 Mock 请求。
路径参数
请求参数
路径参数
uuidString必填资源的UUID,唯一标示该资源
请求体字段
changesnsapplicationendpointstateObject必填changesnsapplicationendpointstate 请求体结构
stateEventString必填状态事件
systemTagsList系统标签
userTagsList用户标签
响应状态
请求地址
PUT/zstack/v1/sns/application-endpoints/{uuid}/actions
/zstack/v1/sns/application-endpoints/{uuid}/actions
请求示例
curl -X PUT 'http://{host}/zstack/v1/sns/application-endpoints/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"changesnsapplicationendpointstate":{"stateEvent":"<stateEvent>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
响应示例
200{ "inventory": { "name": "example", "uuid": "917fe66f76b241f0843dfbd6be685fc1", "description": "description example", "type": "Email", "state": "Enabled", "platformUuid": "4eb0ceebf95b452585ebeacd647d9f35", "createDate": "Mar 26, 2024 2:44:26 AM", "lastOpDate": "Mar 26, 2024 2:44:26 AM" } }变更历史
此 API 暂无变更历史记录。
